Subject: Re: start script

From: Carsten Neumann <[email-masked]>
Date: Thu, 1 Mar 2001 02:22:59 +0100

On Thu, 01 Mar 2001, Paramjit Cheema wrote:
> on 2/28/01 6:38 PM, Carsten Neumann at [email-masked] wrote:
> 
> > On Thu, 01 Mar 2001, Paramjit Cheema wrote:
> >> i have just installed netatalk netatalk-1.4b2+asun2.1.3 on red hat 7.1 .
> >> When i tried to run /rc.atalk.redhat start   i got the followin error
> > 
> > I would recommend NOT to place your starup script in your root directory
> > but somewhere in /sbin/init.d, /etc/rc.d, or whereever your start/shutdown
> > scripts are
> > located!
> > 
> >> 
> >> 
> >> starting appletalk daemons: 5280.221: attribute not found.
> >> atalkdnbp_rgstr: Connection timed out
> >> Can't register griffin:Workstation@*
> >> nbp_rgstr: Connection timed out
> >> Can't register griffin:netatalk@*
> >> nbprgstr papd.
> > 
> > Is appletalk compiled into your kernel or as a module?
> > How does your atalkd.conf file look?
> > Are the DDP ports in your /etc/services?
> > 
> >> 
> >> any help would be greatly appreciated
> >> 
> >> 
> >> 
> >> cheers
> >> 
> >> bobby
> > 
> > Regards
> > 
> > Carsten
> > 
> > 
> > 
> hi 

Ho, ;-)

> 
> 1)  appletalk is complied as a module i have already loaded it .
> 
> 
> 
> 2)  initially atalkd.conf was empty it was recreated automatically with
> correct zone name 
> 

So you are in a network with another AppleTalk server (router?)?
In my network (just 2 machines :-)) there is only the default zone "*",
which is not entered in my atalkd.conf.

> 
> 
> 3)  ddp   zip   and afp overtcp services are present in /etc/services

If only these two (or three) entries are present, this could (possibly) be the reason for your
problems. In my /etc/services I have the following AppleTalk entries:

<excerpt from /etc/ervices>
#
# make apple talk more friendly
#
rtmp            1/ddp           # Routing Table Maintenance Protocol
nbp             2/ddp           # Name Binding Protocol
echo            4/ddp           # AppleTalk Echo Protocol
zip             6/ddp           # Zone Information Protocol

#
# Appletalk
#
afpovertcp      548/tcp         # AFP over TCP
afpovertcp      548/udp         # AFP over UCP

</excerpt from /etc/ervices>

I think the NBP is essential for name binding. ;-)

> 
> i placed the script in /etc/init.d and when i tried to run it it gave the
> ollowing error 
> 
> [root@griffin init.d]# ./rc.atalk.redhat start
> starting appletalk daemons: 5280.20: attribute not found.
>  atalkdnbp_rgstr: Connection timed out
> Can't register griffin:Workstation@*
> nbp_rgstr: Connection timed out
> Can't register griffin:netatalk@*
>  nbprgstr papd.

Please post messages (also) to the mailing list.
So everyone can participate. :-)

A note for the list maintainer:
Is it possible to add a "Reply to" field with the list-address to the header?
I always have to add the list-address to the list of recipients by hand.

Regards

	Carsten